{% extends 'base.html.twig' %}

{% block title %}Login{% endblock %}

{% block body %}

    <div class="posts">
        <div class="posts-inner">
            <article class="post">
                <div class="post-header">
                    <h2 class="title"><span>Login</span></h2>
                </div>
                <div class="post-content">

                    <!-- The Content -->
                    <div class="the-excerpt">

                        <form method="post" class="contact" style="margin-top: 10px;">

                            {% if error %}
                                <div class="contact-item">
                                    <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                                </div>
                            {% endif %}

                            {% if app.user %}
                                <div class="contact-item">
                                    <div class="mb-3">
                                        You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                                    </div>
                                </div>
                            {% endif %}

                            <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

                            <div class="contact-item">
                                <label for="inputEmail">Email *</label>
                                <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
                            </div>

                            <div class="contact-item">
                                <label for="inputPassword">Password *</label>
                                <input type="password" name="password" id="inputPassword" class="form-control" required>
                            </div>

                            <div class="contact-item checkbox">
                                <label for="remember_me">
                                    <input type="checkbox" name="_remember_me" id="remember_me"> Remember me
                                </label>
                            </div>

                            {#
                                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                                See https://symfony.com/doc/current/security/remember_me.html

                                <div class="checkbox mb-3">
                                    <label>
                                        <input type="checkbox" name="_remember_me"> Remember me
                                    </label>
                                </div>
                            #}

                            <div class="contact-item form-submit">
                                <button class="submit" type="submit"> Sign in </button>
                            </div>

                        </form>


                    </div>
                    <!-- End The Content -->
                </div>

            </article>
        </div>
    </div>

{% endblock %}
